### Hierarchy

- CopyleaksFileSubmissionModel
  - CopyleaksFileOcrSubmissionModel

## Index

### Constructors

- constructor

### Properties

- base64
- filename
- langCode
- properties

## Constructors

### constructor

- new CopyleaksFileOcrSubmissionModel(langCode: string, base64: string, filename: string, properties: SubmissionProperties): CopyleaksFileOcrSubmissionModel

- Overrides CopyleaksFileSubmissionModel.constructor

  - Defined in src/models/submissions/CopyleaksFileOcrSubmissionModel.ts:28

  #### Parameters

  - ##### langCode: string

    The language code of your content. The selected language should be on the OCR supported languages list. https://api.copyleaks.com/documentation/v3/specifications/ocr-languages

  - ##### base64: string

    A base64 data string of a file. If you would like to scan plain text, encode it as base64 and submit it.

  - ##### filename: string

    The name of the file as it will appear in the Copyleaks scan report Make sure to include the right extension for your filetype.

  - ##### properties: SubmissionProperties

    Check inner properties for more details.

  #### Returns CopyleaksFileOcrSubmissionModel

## Properties

### base64

base64: string

Inherited from CopyleaksFileSubmissionModel.base64

### filename

filename: string

Inherited from CopyleaksFileSubmissionModel.filename

### langCode

langCode: string

### properties

properties: SubmissionProperties

Inherited from CopyleaksFileSubmissionModel.properties

Generated using TypeDoc